summaryrefslogtreecommitdiffstats
path: root/debian/postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 10:49:50 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 10:49:50 +0000
commitbbbdf1c4eb36541d62561edf761afa29cb1be4e9 (patch)
tree7b4b430b16d1f211108b3da02b78967449d62755 /debian/postrm
parentAdding upstream version 2.9.4. (diff)
downloadman-db-bbbdf1c4eb36541d62561edf761afa29cb1be4e9.tar.xz
man-db-bbbdf1c4eb36541d62561edf761afa29cb1be4e9.zip
Adding debian version 2.9.4-2.debian/2.9.4-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/postrm35
1 files changed, 35 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..f8b0428
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,35 @@
+#!/bin/sh
+set -e
+
+oldcatdir="/var/catman"
+catdir="/var/cache/man"
+
+case $1 in
+ purge)
+ # removing all catpage hierarchies
+ if [ -d $oldcatdir ]; then
+ echo " Removing catpages as well as $oldcatdir hierarchy."
+ rm -rf $oldcatdir 2>/dev/null || true
+ fi
+ if [ -d $catdir ]; then
+ echo " Removing catpages as well as $catdir hierarchy."
+ rm -rf $catdir 2>/dev/null || true
+ fi
+ rm -f /var/lib/man-db/auto-update
+ ;;
+
+ abort-install|abort-upgrade)
+ if [ -e /etc/cron.daily/man.moved-by-preinst ] && \
+ [ ! -e /etc/cron.daily/man ]; then
+ mv /etc/cron.daily/man.moved-by-preinst /etc/cron.daily/man
+ fi
+ if [ -e /etc/cron.weekly/catman.moved-by-preinst ] && \
+ [ ! -e /etc/cron.weekly/catman ]; then
+ mv /etc/cron.weekly/catman.moved-by-preinst /etc/cron.weekly/catman
+ fi
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0